#include "ConfigFile.h"
#include <string>

#ifndef PASSFILE
#define PASSFILE

class PassFile : public ConfigFile
{
private:
	string GetDefault()
	{
		return string("# AuthCheck File Based Authentication List\n\
#\n\
# Each user and pass word should be listed in the format \"user = password\"\n\
#JoeBloggs = unsafe\n\
");
	}
	string GetFilename()
	{
		return string("AuthList.txt");
	}
public:
	PassFile(string Filename="")
	{
		File = Filename;
		setup();
	}
};

#endif

#ifndef FILECHECK
#define FILECHECK

int FileCheck( char *file, char *user, char *pass);

#endif
